************************************************************************
*
*		L B O S  A p p l i c a t i o n  T a s k    # 1
*		==============================================
*
* This task simulates an "I/O bound" task: It issues a delay, followed
* by output to the terminal, and back to the delay, etc. The result
* is a task which consumes a lot of the terminal and delay resources,
* but very little of the CPU resource.
*
************************************************************************

	.globl	app1epa
SVCTRM:	.equ	1			*   Output SVC code
SVCDEL:	.equ	2			*   Delay  SVC code
dlytim:	.equ	300			*   Timer ticks to delay
app1epa:	
	move.l	#SVCDEL,d0		*   Set up delay SVC
	move.l	#dlytim,d1		*   Delay time
	trap	#0			*   Issue delay SVC
	move.l	#SVCTRM,d0		*   Set up output SVC
	move.l	#msglen,d1		*   Byte count to d1
	lea	msg,a0			*   Buffer address to a0
	trap	#0			*   Issue terminal output SVC
	bra	app1epa			*   Loop forever

msg:	.dc.b	'App1 -- Delay Complete',13,10
msglen:	.equ	*-msg			*   Message byte count
	.end
