************************************************************************
*
*		L B O S  A p p l i c a t i o n  T a s k    # 2
*		==============================================
*
* This task simulates a "CPU bound" task: It performs 655360 (640k)
* iterations of a loop and prints a message. This process is repeated
* indefinitely. The result is a process which consumes a tremendous
* amount of CPU resource and very little I/O resource.
*
************************************************************************

	.globl	app2epa
SVCTRM:	.equ	1			*   Output SVC code
app2epa:
	move.w	#-1,d0			*   DBRA maximum value
o_loop:	move.w	#10,d2			*   Outer loop beginning
loop:	nop				*   Loop
	dbra	d2,loop			*   Inner loop
	dbra	d0,o_loop		*   Loop till done
	move.l	#SVCTRM,d0		*   Set up output SVC
	move.l	#msglen,d1		*   Byte count to d1
	lea	msg,a0			*   Buffer address to a0
	trap	#0			*   Issue terminal output SVC
	bra	app2epa			*   Loop forever

msg:	.dc.b	'App2 -- Loop  Complete',13,10
msglen:	.equ	*-msg			*   Message byte count
	.end
